[Pkg-cli-libs-commits] [taoframework] 59/91: Clean up debian/rules.

Jo Shields directhex at moszumanska.debian.org
Mon Sep 22 08:33:21 UTC 2014


This is an automated email from the git hooks/post-receive script.

directhex pushed a commit to branch master
in repository taoframework.

commit fa9f43f9a401f4f3707be9d00ee0b2bc1852e113
Author: Sam Hocevar <sam at zoy.org>
Date:   Sat Aug 1 00:08:24 2009 +0000

    Clean up debian/rules.
---
 debian/rules | 22 +++++-----------------
 1 file changed, 5 insertions(+), 17 deletions(-)

diff --git a/debian/rules b/debian/rules
index f8a6080..984335f 100755
--- a/debian/rules
+++ b/debian/rules
@@ -15,13 +15,11 @@ configure-stamp:
 	touch configure-stamp
 
 build: build-stamp
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
-	# Build the documentation and also copy the .config files to a
-	# place that dh_install can use.
-	#mkdir -p $(CURDIR)/build/doc/tmp
-	#mkdir -p $(CURDIR)/build/examples
+	touch build-stamp
+	
 	#for dir in $(shell find -maxdepth 2 -wholename './Tao.*/Tao.*' -type d | grep -v '\(Cg\|Glfw\|Tests\|Windows\)'); do \
 	#  base="$${dir##*/}"; \
 	#  cp $(CURDIR)/$$dir/$$base.dll \
@@ -38,13 +36,6 @@ build-stamp: configure-stamp
 	#  if [ "$$version" != "$$pcversion" ]; then echo "Error: version $$pcversion in debian/tao-$$pkg-$$abi.pc does not match tao.$$base version $$version"; exit 1; fi; \
 	#  if [ ! -f debian/libtaoframework-$$pkg$$abi-cil.install ]; then echo "Error: file debian/libtaoframework-$$pkg$$abi-cil.install for tao.$$base (version $$version) not found"; exit 1; fi; \
 	#done
-	## $(patsubst) and $(wildcard) would have been elegant here, but for
-	## some reason they are not expanded when called by svn-buildpackage
-	## (while perfectly working upon manual invokation of debian/rules)
-	#/usr/bin/mdassembler \
-	#	--out $(CURDIR)/build/doc/Tao \
-	#	$$(find $(CURDIR)/build/doc/tmp/ -mindepth 1 -maxdepth 1 | xargs printf '--ecma %s ')
-	touch build-stamp
 
 clean:
 	dh_testdir
@@ -53,16 +44,13 @@ clean:
 	rm -f build-stamp configure-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf $(CURDIR)/debian/examples
-	#for builddir in $(BUILDDIRS); do \
-	#  (cd Tao.$$builddir && [ ! -f Makefile ] || $(MAKE) distclean) || exit 1; \
-	#done
 	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_clean -k
 	$(MAKE) install DESTDIR=$$(pwd)/debian/tmp
 	
 	# Copy examples contents

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-cli-libs/packages/taoframework.git



More information about the Pkg-cli-libs-commits mailing list